%define upstream_name    String-Range-Expand
%define upstream_version v1.0.1

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Expand range-like strings
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/String/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(version)
BuildArch:  noarch

%description
This module provides functions to expand a string that contains range-like
expressions. This is something that is usually useful when working with
hostnames, but can be used elsewhere too.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.0.1-3.mga6
+ Revision: 1033392
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.0.1-2.mga6
+ Revision: 966895
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 1.0.1-1.mga6
+ Revision: 847035
- update to v1.0.1

* Wed Oct 15 2014 umeabot <umeabot> 0.40.0-4.mga5
+ Revision: 745736
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.40.0-3.mga5
+ Revision: 686250
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.40.0-2.mga4
+ Revision: 529244
- Mageia 4 Mass Rebuild

* Mon Jul 08 2013 sander85 <sander85> 0.40.0-1.mga4
+ Revision: 451122
- update to 0.04

* Sun Jan 13 2013 umeabot <umeabot> 0.30.0-2.mga3
+ Revision: 372822
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 21 2012 jquelin <jquelin> 0.30.0-1.mga3
+ Revision: 308690
- imported package perl-String-Range-Expand


* Sun Oct 21 2012 cpan2dist 0.03-1mga
- initial mageia release, generated with cpan2dist
